Subject: bug#5466: Viper opens line in invisible part

From: Andrew Hyatt <[email-masked]>
Date: Wed, 03 Aug 2016 22:38:08 -0400

Lennart Borgman <[email-masked]> writes:

> If viper-mode is on and you for example in org-mode are in on a header
> line with an invisible body and press “o” then the invisible text is
> still invisible and point is now in the invisible part.
>
> I think this is a general Emacs problem, not a problem with only Viper
> and I suggest that global-reveal-mode is turned on by default.

Sorry for the late reply.  This is still a problem in Emacs 25.

I don't know if I agree that this is a problem, though. The behavior I
see with Viper (or Evil, for that matter) is confusing but not crazy. I
still see that I'm inserting something before the invisible part
(represented by "..."), and when I expand the outline, then my edit
indeed put the text before that invisible part.

Turning on global-reveal-mode by default would change the org experience
and as well, so I'm unsure that is something others would agree on.